/* ==== ai_wpt.h ==== */
/* Types only useful to ai_waypt.c */
/*  Part of the source of the program "Porrog", a roguelike game.
    Copyright (C) 2002-2003  Tom Barnes-Lawrence
    Current web address: www.angelfire.com/super2/duologue/
    Current email address: tomble@usermail.com
    Postal address: mind your own business

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


struct tunnelsearch_t {
   tunnellist_t *This;
   intersection_t *Waypoint; /* The intersection we'd choose as a waypoint
   to go this way */
   struct tunnelsearch_t *Next;
   int Freeit;
};
typedef struct tunnelsearch_t tunnelsearch_t;

struct intersearch_t {
   intersection_t *This;
   intersection_t *Waypoint;
   struct intersearch_t *Next;
   int Freeit;
};
typedef struct intersearch_t intersearch_t;

void ai_set_waypoint(monster_t *mob,int mstype,int tx,int ty,int d);
/* the  d  argument may get taken out, I forget why it was considered
worthwhile. */

tunnelsearch_t *new_tunnelsearch();
/* Returns a new tunnelsearch_t, prolly from global array */
intersearch_t *new_intersearch();
/* Returns a new intersearch_t, prolly from global array */
void free_tunnelsearch(tunnelsearch_t *old);
/* Frees old, unless it was from global array */
void free_intersearch(intersearch_t *old);
/* Frees old, unless it was from global array */

