/* ==== ajoin.h ==== */
/*  Part of the source of the program "Porrog", a roguelike game.
    Copyright (C) 2002-2003  Tom Barnes-Lawrence
    Current web address: www.angelfire.com/super2/duologue/
    Current email address: tomble@usermail.com
    Postal address: mind your own business

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


void attempt_joining(int source,int target);

/* These functions take over a job that was in attempt_joining().
 They decide whether the end points of the tunnel(s) are already
 on tunnels, and if not (and they aren't rooms), extends/adds tunnels
 in whatever directions are necessary to have overlap with the
 adjacent tunnels, and does merge_regions(), etc, with them. */
void plunk_path1(int sx, int sy, int tx, int ty, direction_t dir, int stype, int ttype,region_t *source_region,area_t *source_area);
void plunk_path2(int sx,int sy,int mx,int my,int tx,int ty,direction_t dir1,
 direction_t dir2, int stype, int ttype, region_t *source_region, area_t *source_area);
/* Need to decide on further arguments these functions need! */

int target_reached(int probe,int targetx,int targety,direction_t dir, int mp);

int probe_status(int x,int y, direction_t dir);

area_t *get_area(int x,int y,area_t *this);

/* Was stupid, and no code should use it now
int attempt_tunext(int *xs,int *ys,int *xe,int *ye); */

region_t *get_region(int x,int y, region_t *this); /* Would we use a "this"?*/

void build_door(int x,int y,int roomno,region_t *region);

void add_intersection(int x,int y,region_t *region);
/* Tags a point as an intersection in region.
  Only really needed for pathfinding mechanism of mobs, and even then,
  mostly just speeds the algorithm up. */
